<?xml version="1.0" encoding="UTF-8"?>
<module external.linked.project.id=":build-android-start:app:androidTest" external.linked.project.path="$MODULE_DIR$/../../../../build-android-start/app" external.root.project.path="$MODULE_DIR$/../../../.." external.system.id="GRADLE" external.system.module.type="sourceSet" type="JAVA_MODULE" version="4">
  <component name="FacetManager">
    <facet type="kotlin-language" name="Kotlin">
      <configuration version="4" platform="JVM 1.8" allPlatforms="JVM [1.8]" useProjectSettings="false">
        <compilerSettings>
          <option name="additionalArguments" value="-Xallow-no-source-files" />
        </compilerSettings>
        <compilerArguments>
          <option name="destination" value="$MODULE_DIR$/../../../../build-android-start/app/build/tmp/kotlin-classes/debugAndroidTest" />
          <option name="classpath" value="$USER_HOME$/.gradle/caches/transforms-3/5a671a0bf8de7c0aa8c6428f1d352453/transformed/espresso-core-3.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/578896fe97a87f8d1f3d9096b3d9ca12/transformed/rules-1.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/9873ec69bc81d88c0c9ce838529c229b/transformed/runner-1.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/bb8bd9e0146b7787a267a7a365519309/transformed/jetified-junit-4.13.2.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/fde47fc635c74413f19b2adbb9e76770/transformed/jetified-viewbinding-7.2.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/4ca9e2a10c56301608b29a78083cc010/transformed/jetified-hamcrest-integration-1.3.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/44bb3a437bb46600f4e4cdf94990b8c8/transformed/jetified-hamcrest-library-1.3.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/74238f2ed35a35ff383ec1962bef4ac3/transformed/jetified-hamcrest-core-1.3.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/d6f1174f4a0c7fcc4adb61aa568da05c/transformed/material-1.6.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/f06fe66de79381d71814c96bcac1feac/transformed/constraintlayout-2.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/44ddb16854b960793a0358ccc638efa4/transformed/appcompat-1.4.2-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/70ce68b344374e3d1abf52400997306e/transformed/jetified-core-ktx-1.8.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/020e3023adf1956db65543457705f80d/transformed/jetified-firebase-storage-ktx-20.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/afd6f476871ee6d10761210f3a7efd11/transformed/jetified-firebase-database-ktx-20.0.5-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/eb382cfc23db32b75c0e93d74d448c5f/transformed/jetified-storage-1.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/10df64b684f7274a64d52c39de5aff49/transformed/monitor-1.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/82c9b788a94e1060b3e51cb5e6f75a9e/transformed/cardview-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/09c23ef88db95dbc6855c34ca2ab682c/transformed/jetified-firebase-ui-database-8.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/200b42d2239f60b4afe0d1c8118da867/transformed/legacy-support-v4-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/3affd85affbf99bb9240569f0e9483b8/transformed/legacy-support-core-ui-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/bf1c04dc635452702ecbc0db38e38bf1/transformed/coordinatorlayout-1.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/678d4fee6c1f73f27d987ef5a8238264/transformed/drawerlayout-1.1.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/de0514f11f43cbf9c70947b1ce15e9c6/transformed/transition-1.2.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/3af712dd7f85c13b7439447140e56623/transformed/jetified-appcompat-resources-1.4.2-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/5e43ce855df090fe2cdd3821232d94d2/transformed/jetified-glide-4.13.2-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/e498df07c56f75d9868bb1bed1d494ce/transformed/vectordrawable-animated-1.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/853bb69193f4d4c551faee7a2bf4c496/transformed/vectordrawable-1.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/4ebfc15951dbbcac90929c9b2a6882be/transformed/jetified-viewpager2-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/f3b02a0cbe8d68ba7fdc87eb56c6d5b6/transformed/jetified-gifdecoder-4.13.2-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/d90678298e69a219ad87e7816fa228b2/transformed/exifinterface-1.2.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/34fdf653868a2afe3eb8efedef10b077/transformed/jetified-firebase-ui-auth-8.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/f37f80258119075bf857825abc28897e/transformed/jetified-play-services-auth-20.2.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/fb13c76ba22251cc41258f03785db48e/transformed/jetified-firebase-auth-ktx-21.0.6-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/6a582d70e53f5aa3fde72b9a57c7cc30/transformed/jetified-firebase-auth-21.0.6-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/92e2da235ae14250444ca7951c13f5fe/transformed/jetified-play-services-auth-api-phone-18.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/bf4a60491f6f70fce21ec9c92e41f7b1/transformed/jetified-play-services-auth-base-18.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/07b6742f92ed401fccec467bdbc73711/transformed/jetified-firebase-database-20.0.5-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/28645308528a0e62d48a22de351032e7/transformed/jetified-firebase-storage-20.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/4446e306a03dcc081151351020f6a596/transformed/jetified-play-services-safetynet-17.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/62f16427c7a43ea72ada4c166bafd3cb/transformed/jetified-firebase-appcheck-interop-16.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/906c6b232fdcba5bedd31b9911524dc2/transformed/jetified-firebase-database-collection-18.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/7323009d24849fc31d8bd8aa5961a5a0/transformed/jetified-play-services-base-18.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/97fa6b2304d679eb7cf93990bc5a7329/transformed/jetified-firebase-common-ktx-20.1.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/2c05df1a1ba664f34f97a5e9dafbf1bc/transformed/jetified-firebase-auth-interop-20.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/753410b68e6d3fcc1e4f3864d0e2908d/transformed/jetified-firebase-common-20.1.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/2d6824a4a7f7a8b79895b88cd9ce18e4/transformed/jetified-play-services-tasks-18.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/fba06bb65a3177ee1b14f4bd6cb6f4fe/transformed/jetified-play-services-basement-18.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/db22672bfd1278a793bdad2bb1e1be2b/transformed/fragment-1.3.6-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/99c11d227a91b37edee4e7cae2a4b6d8/transformed/cursoradapter-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/919caf57bc44208e3572000dabd8ab12/transformed/jetified-activity-1.2.4-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/1f3464e96ff9657cf8bc184565f9e7bd/transformed/jetified-lifecycle-viewmodel-savedstate-2.3.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/656667d015fa754ba09f3f7ef98454b9/transformed/jetified-savedstate-1.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/4b749927c15412a0e37455fae44522a1/transformed/dynamicanimation-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/3848e611f2984ef9485ac36f43ad3f71/transformed/legacy-support-core-utils-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/e8035eebdee4a014d965c3f2d04693ee/transformed/loader-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/af768af3a4702ce05de2570d175099e7/transformed/recyclerview-1.2.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/62f4c9fb2291605c8c7bf84436a145e0/transformed/media-1.6.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/769ffdfa471c10e11bd2e3aa3300e894/transformed/viewpager-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/ff9bdd3e5ae54f54181728bc243cb6ed/transformed/slidingpanelayout-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/42e41bda38158497692bad6e9e8bb322/transformed/customview-1.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/0238357375c23467aff7781cad3d5e19/transformed/swiperefreshlayout-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/057ee6d733222e89a4a0215dcc1d6c1f/transformed/asynclayoutinflater-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/e0124650c9c561ef173ca3996dbb3743/transformed/browser-1.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/64f39953cb66000837ab0b77134b66d7/transformed/core-1.8.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/66c6a5a02ac48d7fe675ada7aedee318/transformed/jetified-firebase-components-17.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/2d690e60f575afa13211f3faba09576c/transformed/versionedparcelable-1.1.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/modules-2/files-2.1/androidx.collection/collection/1.1.0/1f27220b47669781457de0d600849a5de0e89909/collection-1.1.0.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/003e895c3a434a2abf70e3870863bdc8/transformed/jetified-firebase-ui-common-8.0.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/f0b3db7dca6346b44a75888d11d6f90b/transformed/lifecycle-viewmodel-2.3.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/612ecb580f88bf895dad3a0c9df117e2/transformed/lifecycle-runtime-2.3.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/a139f4592719c4af5be30645c4f020c3/transformed/documentfile-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/ffd496b7afc0ec1c5826a86afedcf9a5/transformed/localbroadcastmanager-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/c42a0d7b77fc3edc63c48829eec5da28/transformed/print-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/f8860dfa74a5cfa9985acf2e089a15bc/transformed/interpolator-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/85404d0624ae25a66b9df2cd12e406b5/transformed/jetified-paging-rxjava3-3.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/modules-2/files-2.1/androidx.paging/paging-common/3.0.0/a4aa6ffbc719e85d264dbb0c8d03795fba978729/paging-common-3.0.0.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/423924141cc185c8df22b36d61c37eac/transformed/lifecycle-livedata-2.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/d9ca936a0a77e97bf309033b40023615/transformed/core-runtime-2.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/91e34f4389610f6d9e036e34ecf2fd11/transformed/lifecycle-livedata-core-2.3.1-api.jar;C:/Users/RonaldoChoez/.gradle/caches/modules-2/files-2.1/androidx.lifecycle/lifecycle-common/2.3.1/fc466261d52f4433863642fb40d12441ae274a98/lifecycle-common-2.3.1.jar;C:/Users/RonaldoChoez/.gradle/caches/modules-2/files-2.1/androidx.arch.core/core-common/2.1.0/b3152fc64428c9354344bd89848ecddc09b6f07e/core-common-2.1.0.jar;C:/Users/RonaldoChoez/.gradle/caches/modules-2/files-2.1/androidx.annotation/annotation/1.3.0/21f49f5f9b85fc49de712539f79123119740595/annotation-1.3.0.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/3a94f5a4a340502b259cd62f641f98b6/transformed/jetified-jsr305-2.0.1.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/9a6d742301f5b6ba992e9cae4157b649/transformed/espresso-idling-resource-3.4.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/0fd295b13a5056d3040ffd44dcddf3c3/transformed/jetified-javawriter-2.1.1.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/53739dd28de49ef7f54ad0a196293341/transformed/jetified-javax.inject-1.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/9b6730b90c13241f97fab7cd6ada03a1/transformed/jetified-circleimageview-3.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/fdfe18b7f6fba288b1da468cdbff6561/transformed/jetified-kotlin-stdlib-jdk7-1.3.72.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/b9e214aa37f17a91259d682a2ba51982/transformed/jetified-kotlinx-coroutines-core-jvm-1.4.3.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/2914e9187078359079ff38241bbc6c0d/transformed/jetified-kotlin-stdlib-1.6.21.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/50b8f65ce933096ad20d155d31f0ddcc/transformed/jetified-annotation-experimental-1.1.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/c5c65e31c5ae584f9d2cd5b04e46cbfd/transformed/jetified-disklrucache-4.13.2.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/334f5e4d75669c95e4d1b728b436673b/transformed/jetified-annotations-4.13.2.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/767443b467df70b4026a062979302df3/transformed/jetified-tracing-1.0.0-api.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/79bbe94a245e205575630564dc2b140e/transformed/jetified-kotlin-stdlib-common-1.6.21.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/44e834a9856c11a9ce1f2ee65e5275fa/transformed/jetified-annotations-13.0.jar;C:/Users/RonaldoChoez/.gradle/caches/modules-2/files-2.1/androidx.constraintlayout/constraintlayout-solver/2.0.1/30988fe2d77f3fe3bf7551bb8a8b795fad7e7226/constraintlayout-solver-2.0.1.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/2b0bbc89614d90904dab06d39ac5bb27/transformed/jetified-rxjava-3.0.0.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/6c678c8e9635a4f89ad23150aabe4139/transformed/jetified-firebase-annotations-16.0.0.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/1da37f4ec4574c34711128ae5786e9d3/transformed/jetified-listenablefuture-1.0.jar;C:/Users/RonaldoChoez/.gradle/caches/transforms-3/4005e0b8bab4dacb9181ed09d5f2bdc8/transformed/jetified-reactive-streams-1.0.3.jar;C:/Users/RonaldoChoez/AppData/Local/Android/Sdk/platforms/android-32/android.jar;C:/Users/RonaldoChoez/AppData/Local/Android/Sdk/build-tools/30.0.3/core-lambda-stubs.jar" />
          <option name="noStdlib" value="true" />
          <option name="moduleName" value="app_debug" />
          <option name="friendPaths">
            <array>
              <option value="$MODULE_DIR$/../../../../build-android-start/app/build/tmp/kotlin-classes/debug" />
              <option value="$MODULE_DIR$/../../../../build-android-start/app/build/intermediates/javac/debug/classes" />
              <option value="$MODULE_DIR$/../../../../build-android-start/app/build/intermediates/compile_app_classes_jar/debug/classes.jar" />
            </array>
          </option>
          <option name="languageVersion" value="1.4" />
          <option name="apiVersion" value="1.4" />
          <option name="pluginOptions">
            <array />
          </option>
          <option name="pluginClasspaths">
            <array />
          </option>
          <option name="errors">
            <ArgumentParseErrors />
          </option>
        </compilerArguments>
      </configuration>
    </facet>
    <facet type="android" name="Android">
      <configuration>
        <option name="SELECTED_BUILD_VARIANT" value="debug" />
        <option name="ASSEMBLE_TASK_NAME" value="assembleDebug" />
        <option name="COMPILE_JAVA_TASK_NAME" value="compileDebugSources" />
        <afterSyncTasks>
          <task>generateDebugSources</task>
        </afterSyncTasks>
        <option name="ALLOW_USER_CONFIGURATION" value="false" />
        <option name="MANIFEST_FILE_RELATIVE_PATH" value="/src/main/AndroidManifest.xml" />
        <option name="RES_FOLDER_RELATIVE_PATH" value="/src/main/res" />
        <option name="RES_FOLDERS_RELATIVE_PATH" value="file://$MODULE_DIR$/../../../../build-android-start/app/src/main/res;file://$MODULE_DIR$/../../../../build-android-start/app/src/debug/res;file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/google-services/debug;file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/rs/debug;file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/resValues/debug" />
        <option name="TEST_RES_FOLDERS_RELATIVE_PATH" value="file://$MODULE_DIR$/../../../../build-android-start/app/src/androidTest/res;file://$MODULE_DIR$/../../../../build-android-start/app/src/androidTestDebug/res;file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/rs/androidTest/debug;file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/resValues/androidTest/debug" />
        <option name="ASSETS_FOLDER_RELATIVE_PATH" value="/src/main/assets" />
      </configuration>
    </facet>
  </component>
  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8" inherit-compiler-output="true">
    <exclude-output />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/aidl_source_output_dir/debugAndroidTest/out" />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/ap_generated_sources/debugAndroidTest/out" />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/renderscript_source_output_dir/debugAndroidTest/out" />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/resValues/androidTest/debug" />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/res/rs/androidTest/debug" />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/build/generated/source/buildConfig/androidTest/debug" />
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/src/androidTest">
      <sourceFolder url="file://$MODULE_DIR$/../../../../build-android-start/app/src/androidTest/java" isTestSource="true" />
    </content>
    <content url="file://$MODULE_DIR$/../../../../build-android-start/app/src/androidTestDebug" />
    <orderEntry type="jdk" jdkName="Android API 32 Platform" jdkType="Android SDK" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="module" module-name="friendly-chat.build-android-start.app.main" scope="TEST" />
    <orderEntry type="library" scope="TEST" name="Gradle: junit:junit:4.13.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.hamcrest:hamcrest-core:1.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.annotation:annotation:1.3.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.code.findbugs:jsr305:2.0.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.squareup:javawriter:2.1.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: javax.inject:javax.inject:1" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.hamcrest:hamcrest-library:1.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.hamcrest:hamcrest-integration:1.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.lifecycle:lifecycle-common:2.3.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.arch.core:core-common:2.1.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.collection:collection:1.1.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.constraintlayout:constraintlayout-solver:2.0.1" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.github.bumptech.glide:disklrucache:4.13.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.github.bumptech.glide:annotations:4.13.2" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-annotations:16.0.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.3.72" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.jetbrains.kotlin:kotlin-stdlib:1.6.21" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.jetbrains.kotlin:kotlin-stdlib-common:1.6.21" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.jetbrains:annotations:13.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.guava:listenablefuture:1.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.paging:paging-common:3.0.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.jetbrains.kotlinx:kotlinx-coroutines-core-jvm:1.4.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: io.reactivex.rxjava3:rxjava:3.0.0" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: org.reactivestreams:reactive-streams:1.0.3" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.test.espresso:espresso-core:3.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.test:runner:1.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.test:monitor:1.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.test.services:storage:1.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.test.espresso:espresso-idling-resource:3.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.test:rules:1.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.databinding:viewbinding:7.2.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.material:material:1.6.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.appcompat:appcompat:1.4.2@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.core:core:1.8.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.annotation:annotation-experimental:1.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.lifecycle:lifecycle-runtime:2.3.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.versionedparcelable:versionedparcelable:1.1.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.cursoradapter:cursoradapter:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.activity:activity:1.2.4@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.lifecycle:lifecycle-viewmodel:2.3.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.savedstate:savedstate:1.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.lifecycle:lifecycle-viewmodel-savedstate:2.3.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.lifecycle:lifecycle-livedata-core:2.3.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.fragment:fragment:1.3.6@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.viewpager:viewpager:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.customview:customview:1.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.loader:loader:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.lifecycle:lifecycle-livedata:2.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.arch.core:core-runtime:2.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.appcompat:appcompat-resources:1.4.2@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.vectordrawable:vectordrawable:1.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.vectordrawable:vectordrawable-animated:1.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.interpolator:interpolator:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.drawerlayout:drawerlayout:1.1.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.cardview:cardview:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.coordinatorlayout:coordinatorlayout:1.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.constraintlayout:constraintlayout:2.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.dynamicanimation:dynamicanimation:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.legacy:legacy-support-core-utils:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.documentfile:documentfile:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.localbroadcastmanager:localbroadcastmanager:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.print:print:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.recyclerview:recyclerview:1.2.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.transition:transition:1.2.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.viewpager2:viewpager2:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.github.bumptech.glide:glide:4.13.2@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.github.bumptech.glide:gifdecoder:4.13.2@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.exifinterface:exifinterface:1.2.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.tracing:tracing:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: de.hdodenhof:circleimageview:3.1.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.legacy:legacy-support-v4:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.media:media:1.6.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.legacy:legacy-support-core-ui:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.slidingpanelayout:slidingpanelayout:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.swiperefreshlayout:swiperefreshlayout:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.asynclayoutinflater:asynclayoutinflater:1.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-auth:20.2.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-auth-api-phone:18.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-base:18.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-basement:18.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-tasks:18.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-auth-base:18.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-database-ktx:20.0.5@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-common:20.1.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-components:17.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-common-ktx:20.1.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-database:20.0.5@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-appcheck-interop:16.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-auth-interop:20.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-database-collection:18.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-storage-ktx:20.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-storage:20.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-auth-ktx:21.0.6@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.firebase:firebase-auth:21.0.6@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.browser:browser:1.4.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.google.android.gms:play-services-safetynet:17.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.firebaseui:firebase-ui-auth:8.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.firebaseui:firebase-ui-database:8.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: com.firebaseui:firebase-ui-common:8.0.1@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.paging:paging-rxjava3:3.0.0@aar" level="project" />
    <orderEntry type="library" scope="TEST" name="Gradle: androidx.core:core-ktx:1.8.0@aar" level="project" />
  </component>
  <component name="TestModuleProperties" production-module="friendly-chat.build-android-start.app.main" />
</module>